#!/bin/sh

# This script clones all the different repos

os='none'
while [ $os != 'debian' ] && [ $os != 'arch' ]
do
  read -p "Which OS do you use? " os
done


##################
# REPOS ON LIME2 #
##################

cd

# VimConf.git
git clone ssh://flyingscorpio@2px.info.tm/~/repos/VimConf.git
# Lessons.git
git clone ssh://flyingscorpio@2px.info.tm/~/repos/Lessons.git
# RootMe.git
git clone ssh://flyingscorpio@2px.info.tm/~/repos/RootMe.git


###################
# REPOS ON GITLAB #
###################

if [ ! -e ~/SRC ]; then
  mkdir ~/SRC
fi

cd ~/SRC

git clone https://gitlab.com/e2li/depydoc.git

git clone https://gitlab.com/flyingscorpio/2px.git

cd ~/SRC/2px
python3 -m venv env
echo "# Set own environment variables for Django" >> ~/SRC/2px/env/bin/activate
echo "DJANGO_USER='flyingscorpio'" >> ~/SRC/2px/env/bin/activate
echo "export DJANGO_USER" >> ~/SRC/2px/env/bin/activate
echo "DJANGO_PASSWORD='ribosome66'" >> ~/SRC/2px/env/bin/activate
echo "export DJANGO_PASSWORD" >> ~/SRC/2px/env/bin/activate
echo "DJANGO_SECRET_KEY='q+hci0d5y90q)k07f@1k3qzr&w=@89n(0z0ukp)_iu(g9iws0r'" >> ~/SRC/2px/env/bin/activate
echo "export DJANGO_SECRET_KEY" >> ~/SRC/2px/env/bin/activate

cd ~/SRC

git clone https://gitlab.com/flyingscorpio/BlurMySearches.git
git clone https://gitlab.com/flyingscorpio/JsonToPython.git
git clone https://gitlab.com/flyingscorpio/LVEL-website.git

cd ~/SRC/LVEL-website
python3 -m venv env
echo "# Set own environment variables for Django" >> ~/SRC/LVEL-website/env/bin/activate
echo "DJANGO_USER='flyingscorpio'" >> ~/SRC/LVEL-website/env/bin/activate
echo "export DJANGO_USER" >> ~/SRC/LVEL-website/env/bin/activate
echo "DJANGO_PASSWORD='ribosome66'" >> ~/SRC/LVEL-website/env/bin/activate
echo "export DJANGO_PASSWORD" >> ~/SRC/LVEL-website/env/bin/activate
string='t!d6q&g1*lm-p41m=pd!o&kga9jk)wom)sr7#4-=$oo*$)ymtc'
echo "DJANGO_SECRET_KEY='$string'" >> ~/SRC/LVEL-website/env/bin/activate
echo "export DJANGO_SECRET_KEY" >> ~/SRC/LVEL-website/env/bin/activate

cd ~/SRC

git clone https://gitlab.com/flyingscorpio/MarioSokoban.git
git clone https://gitlab.com/flyingscorpio/PythonLocalBlockchain.git
git clone https://gitlab.com/flyingscorpio/Roboc-GUI.git
git clone https://gitlab.com/flyingscorpio/Roboc-console
git clone https://gitlab.com/flyingscorpio/SudokuSolver.git
git clone https://gitlab.com/flyingscorpio/TicTacToe.git
git clone https://gitlab.com/flyingscorpio/WhitespaceInterpreter.git
git clone https://gitlab.com/flyingscorpio/WikipediaAcronymScraper.git

